#include <sys/types.h>
#include <fcntl.h>
#include <unistd.h>

int
main(int argc, char *argv[])
{
	int FLAG;

	if((FLAG = fcntl(atoi(argv[1]), F_GETFL)) < 0)
		{
		perror("fcntl");
		exit(1);
		}

	switch(FLAG & O_ACCMODE)
		{
		case O_RDONLY :
			puts("This is read only file");
			break;
		case O_WRONLY :
			puts("This is write only file");
			break;
		case O_RDWR :
			puts("This is read-write file");
		}
}
